
def read_resource_manager(resource_manager, query):
    """
    This function reads a value from a VISA resource manager using a query string.
    
    :param resource_manager: The VISA resource manager instance.
    :param query: The query string to use for reading the value.
    :return: The read value.
    """
    # Get the instrument from the resource manager using the query
    instrument = resource_manager.open_resource(query)
    
    # Read the value from the instrument
    value = instrument.read()
    
    # Close the instrument
    instrument.close()
    
    return value



